## qtsixa 1.2.0

=== qtsixa/Makefile ===
build:
	@echo "QtSixA doesn't need to be compiled :)"

clean:
	@echo "QtSixA doesn't need to be compiled :)"

install:
	cp ./doc/* /usr/share/doc/qtsixa/
	cp ./manual/* /usr/share/doc/qtsixa/manual/
	cp ./game-profiles/* /usr/share/qtsixa/game-profiles/
	cp ./gui/* /usr/share/qtsixa/gui/
	cp ./pics/* /usr/share/qtsixa/pics/
	cp ./lang/* /usr/share/qtsixa/lang/
	cp ./icons/* /usr/share/qtsixa/icons/
	cp ./sixaxis-profiles/* /usr/share/qtsixa/sixaxis-profiles/
	cp ./sixa /usr/bin/
	cp ./sixa-lq /usr/bin/
	cp ./sixa-notify /usr/bin/
	cp ./qtsixa /usr/bin/
	cp ./qtsixa.conf /usr/share/qtsixa/
	cp ./qtsixa.desktop /usr/share/applications/
	cp ./qtsixa.xpm /usr/share/pixmaps/
	cp ./profiles.list.bu /usr/share/qtsixa/
	cp ./features.html /usr/share/qtsixa/
	cp ./sixa-notify.desktop /usr/share/qtsixa/
	if [ ! -f /usr/share/qtsixa/profiles.list.bu ]; then cp ./profiles.list.bu /usr/share/qtsixa/profiles.list; fi

### Note to packagers:
#  The real "profiles.list" should not be installed by default, only if it is not found.
#  This avoids overritting a possibly customized file


uninstall:
	rm -rf /usr/share/doc/qtsixa/
	rm -rf /usr/share/qtsixa/
	rm -rf /usr/bin/sixa
	rm -rf /usr/bin/sixa-lq
	rm -rf /usr/bin/sixa-notify
	rm -rf /usr/bin/qtsixa
	rm -rf /usr/share/applications/qtsixa.desktop
	rm -rf /usr/share/pixmaps/qtsixa.xpm
	rm -rf /etc/hal/fdi/policy/*sixa*.fdi

## qtsixa 1.3.0-0maemo0

=== sixad/Makefile ===
# You know, there are pre-compile DEBs and RPMs of this...

all: sixad-bin tools hcid-bin

sixad-bin:
	gcc -Wall -O2 sdp.c textfile.c sixad.c -o bins/sixad-bin -lbluetooth
	gcc -Wall -O2 sdp.c textfile.c sixad-uinput-sixaxis.c -o bins/sixad-uinput-sixaxis -lbluetooth

tools:
	gcc -Wall -O2 sixpair.c -o bins/sixpair -lusb
	gcc -Wall -O2 sixpair_kbd.c -o bins/sixpair-kbd -lusb
	gcc -Wall -O2 sixad-raw.c -o bins/sixad-raw
	gcc -Wall -O2 hidraw-dump.c -o bins/hidraw-dump

hcid-bin:
	make all -C hcid

clean:
	rm -f bins/*
	make clean -C hcid

install:
	@echo "Run 'make install-system to really install sixad"

install-system:
	#Creating needed directories
	mkdir -p /lib/udev/rules.d/
	mkdir -p /var/lib/sixad/

	#Installing binaries
	cp sixad /usr/bin/
	cp hcid/hcid /usr/sbin/
	cp bins/hidraw-dump /usr/sbin/
	cp bins/sixad-bin /usr/sbin/
	cp bins/sixad-raw /usr/sbin/
	cp bins/sixad-uinput-sixaxis /usr/sbin/
	cp bins/sixpair /usr/sbin/
	cp bins/sixpair-kbd /usr/sbin/

	#Installing misc files
	cp 98-sixad.rules /lib/udev/rules.d/
	cp default/sixad /etc/default/
	cp init/sixad /etc/init.d/
	cp x11-sony-keypad.fdi /usr/share/hal/fdi/policy/20thirdparty/
	cp mans/* /usr/share/man/man1/
	ln -s /etc/init.d/sixad /etc/rc0.d/K10sixad || true
	ln -s /etc/init.d/sixad /etc/rc1.d/K10sixad || true
	ln -s /etc/init.d/sixad /etc/rc6.d/K10sixad || true

	@echo "Finished"


uninstall:
	rm -f /etc/default/sixad
	rm -f /etc/init.d/sixad
	rm -f /etc/rc0.d/K10sixad
	rm -f /etc/rc1.d/K10sixad
	rm -f /etc/rc6.d/K10sixad
	rm -f /lib/udev/rules.d/98-sixad.rules
	rm -f /usr/bin/sixad
	rm -f /usr/sbin/hcid
	rm -f /usr/sbin/hidraw-dump
	rm -f /usr/sbin/sixad-bin
	rm -f /usr/sbin/sixad-raw
	rm -f /usr/sbin/sixad-uinput-sixaxis
	rm -f /usr/sbin/sixpair
	rm -f /usr/sbin/sixpair-kbd
	rm -f /usr/share/hal/fdi/policy/20thirdparty/x11-sony-keypad.fdi
	rm -f /usr/share/man/man1/qtsixa.1
	rm -f /usr/share/man/man1/sixa.1
	rm -f /usr/share/man/man1/sixad.1
	rm -f /usr/share/man/man1/sixad-bin.1
	rm -f /usr/share/man/man1/sixad-raw.1
	rm -f /usr/share/man/man1/sixad-uinput-sixaxis.1
	rm -rf /usr/lib/sixad/
	rm -rf /var/lib/sixad/

=== debian/changelog ===
qtsixa (1.3.0-0maemo0) fremantle; urgency=low

  * Implemented 2 controllers support
  * Rearanged key mapping to use Enter-Start, Space-Select

 -- Tomasz Sterna <tomek@xiaoka.com>  Sat, 13 Mar 2010 21:57:16 +0100

qtsixa (1.2.0-0maemo2) fremantle; urgency=low

  * Fixed HAL FDIs for XOrg

 -- Tomasz Sterna <tomek@xiaoka.com>  Mon, 08 Feb 2010 05:54:31 +0100

qtsixa (1.2.0-0maemo1) fremantle; urgency=low

  * Fixed dependencies

 -- Tomasz Sterna <tomek@xiaoka.com>  Mon, 08 Feb 2010 05:33:30 +0100

qtsixa (1.2.0-0maemo0) fremantle; urgency=low

  * Ported sixad to Maemo 5

 -- Tomasz Sterna <tomek@xiaoka.com>  Tue,  2 Feb 2010 14:38:32 +0100

qtsixa (1.2.0-0ubuntu0+ppa1) lucid; urgency=low

  * Final 1.2.0 release:
    - Display a warning when the list of profiles was not found
    - Fixed crash when the list of profiles was not found
    - Also disable "Add New" and "Create New" buttons when no list found
    - Use pt_PT for pt_BR translations, for now
    - Special "--boot-yes" option fix for ArchLinux
    - Fixed sixad Makefile
    - Added a Makefile to QtSixA too (easy install for non-Debian systems)
    - Sixaxis configuration menu is more usable now
    - Warn user when using < 2.0 bluetooth dongle (Sixaxis incompatible)
    - Drop C++ code (python is good enough)
    - Added useful docs to the source tree

 -- falkTX <falktx@gmail.com>  Wed, 27 Jan 2010 02:14:24 +0000

qtsixa (1.2.0~rc1-0ubuntu0~ppa1) lucid; urgency=low

  * Finished strings for translators
  * Finished pt_PT translation
  * Make sure translations don't make QtSixA crash
  * Started GUI code port to C++ (only for v2.0)
  * Updated manual, and added translation section

 -- falkTX <falktx@gmail.com>  Tue, 12 Jan 2010 02:32:56 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa3) lucid; urgency=low

  * Fixed

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 10:14:35 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa2) lucid; urgency=low

  * Added missing build-depends

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 09:29:48 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa1) lucid; urgency=low

  * Initial release. (LP: #471081)

 -- falkTX <falktx@gmail.com>  Tue, 03 Nov 2009 14:42:00 +0000

=== debian/control ===
Source: qtsixa
Section: user/system
Priority: optional
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), gcc (>= 4.1),
  libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Description: SixA Daemon
 This package provides the modules (called 'sixad') for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 sixad is triggered by udev, making it super easy to connect new devices
 (you just need to press the PS button)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADM1JREFUaN7tmXmQHNV9xz+v7zl6dnZ3ZrVCJ5IQK61AChgiLAFGxsaO
 cRWJSbArTkGCIQ44joNDleOQIBKq7Eps7LhcBucgjl24sFNADiCQgMVpjhCE
 kYVAQtJqd2bPmdk5++5++WPWC7qQxFVJhV/V6+7pef3e7/u733vwHr1H79H/
 aRJv52Bby1Ii50aVh4z+ut9bFwnxvwbATSUppXhzMwsJN75FMG/q463jUgrZ
 FerbQVLCTYvfHBDxZph/2zg/AjdbTzoxIOKE7Ptd8soTAaEdT6cby1KObPt3
 Jp97gvbUOPkVp3LKRy+l5+RVb5lfv1lnz7/9iMb+PUgp6Vs9zA17HalZqeNy
 9mN2uLEk5bO3/Bnuruc5c90wVjrN6OgoO3e/ysYbvsbA6Wcd8TtVgDr3HAPx
 EfQXdtrcd8XHWLZ8GYP5HFJKyjNVppttPvYP9yIE3HgMbWjHsncZJ5SfeoTL
 LrmYhx56GCEES5cs4fyNv8yOu+9gwelnkVYgo0BaBVN0mT90VjkHwpfgxNBJ
 YOfTjzLQl2cwn2P/yAi+77NyxQoqlQr1kT3kl5/C1rKUb6QJ7VgxfWbnC/Sk
 U4yNjiGlRNN0xicnWbNmDY8+8690HroLB6gAzM1ztNnkwRf2330n61asYOTA
 AYSioGoaExMTFPM2++6/izOu+VI3VJelPFq4FW8EoDM5zrYbfo/hkwbwfJ9U
 Oo2qKCiqShD4aKpGtVLtxnQhDmvdECnnW5Ik8/ckSTBNk3y+F8PUiePuuziO
 aTWajM422XD1H7HonA+8YfITR2M+CnwevPYyTrIzVKanGF6zhtJ4mSiKKfT3
 YaUsnI5LNpPBNA00VUVRFFRVRVEVNFVDKIIkToiTmDiOiaKYKIrmnkO8IEQR
 guLAALtf2Y3vewwPD/P89u1omk5bMTjrupsoDJ121Oh0mAltLXXD5fjTj5JP
 pSmPjaLrOq7vMT01TRCGAAwMFEmSBNfzaLWaCCHQNA1VVefvQgiklMRxPN+6
 ABJ00yCOYwSC0ugoZsGhOjFBqZwnimJc18Pu7WXfA3d3Acjj9YE5jAceeQAt
 cFg9dCpJFAFg21kmJ6dIWRZIiap1mZVJzGy9zsjIATRNRREKZ5zxS/MA9u7d
 R71ex7ZtBgcXoOs66VQKRVFp1OsgBHt+PomKjtGvUyz0Y1oWM5UqU9ufQcYx
 QlWP6NBHdeLqyzvIqpIkjpmankbTNBYMLmDp0qV0Oh32j4wQBgGnnrqadDqN
 7/v02Fl6cjal8UnCOU0BuK5DNpOmNlvHSpkU+osEQcDU5CRZPUO5NsXQynUA
 TE/PkIpC9o2Pk7JSZOw81T0vURg67YhKUA4qzMa75uM36lgpiyAI8Twf3/No
 NRo06w00XafZauJ7HoHv4XoeiZSkTAtFVWl1XIrFImEYzrf+/gK6YbB82RLs
 rE0cx7Q7HVqtFjICz3NxHId2u02n3SbvevheQBiGmIrAHR89qsMepAGZdHu1
 JsawczmanRZxEpPNZjENgwTJWKlETy5HTx6SOCYMAuIoRiiCQqEwH4HanQ71
 Wo1UOoVt5zBNAyklURR1c0KSYFgWo9US/b29tJpN2u02umHwouuRTqUIwxAr
 lUJMlw4KMK83I+VI9p9MjpGxLAAcxyFOEqIkptls4Lsu9VoNy0zR29uHH0Ts
 HxkhlqCbxrzUS2NjpNIZdu/eg9PpzJmUQAITE1NMT1UgEWQyGYIgJD+wFMW0
 cV0PCTi+ix8GKDKhPTFGj3oCiSycGCVl6CRRSJx0I4XvBwSuTxSF85KsVCoI
 VUERggMjI2TtLEsWL6HVbNBsNPHDECEEnueRyWZxPZ9SuYymqcRxTL1Ro6+v
 D8dxqdS2k0iJrquIOUmGvo/bauCUx+jXoBEfbkfKocybApoTY+iqoNVsEvoe
 JBKkJG1n6entI5PN4ocBcRJjWSlMy0JRFOq1WQzTIggCCsUCcRCS78kjFAXD
 MJgYH0fTVNKZLIZhgpQ0G02EIlA1FUPXusxLCAOfKAxxWy1a1QoppcvboZ58
 mAbyGlTGRllsm/hBgKqqJLGDrhsYpomqamiaguf7cz7gdwu2OCZJYnzXJZPJ
 kLNtBgcHQUoSKYkTiee7mFYKz3WI4xiZSHzfwzRMNF3F0HUUodBoNgh8v5tn
 XBfDyhAGPnnNZCo8BgBTQKs6TWgOdieREkVRyOd7sSwDx3FpNdtk7B4aQQ2X
 bhkRhgGqomClLVrtFsFc7pCye+nvz2PbNvV6HcMwSJIEz/fJ5WyC0GNB3yDF
 QmFeEO1WiyRJ8IOAXDZLrVwivXTlsX1A+C6qqtJut7sOnST09fXTX+hHEQph
 GJHL5cjZOaLQp1qpIKXEME1WrlxFZaZKevHJbP6VS+bHnBnZy9P/9H16+wt0
 Oh2cThskmOk0WTuHoWuEQYCqamSyWZrNFtPTMyRJN5TqukFtvER+2crDcsFh
 AFrjY6SzNu1WHQDLsigWCxSLRRzHQcwKclmbl3fvpiffy+qhIaQEyzJpNBpE
 isGVN9+Cor1u6PO2UCmP8spjDzO4YBA/ipBRTBSHNFpNUrpBKpUiCAMGTxqk
 1WqSy9lUq1XCMEQmEbPlMXQxX/Ae2YklUBkfwzRNOo4DQC6XI5/PMzAwgCIE
 mUya8tQkF11zHZsv/11CM0M7TmgECZuuuJbP/+DubpyPooPaJdffyKe/divZ
 JSuQuoHW08vq8z7EZ7/zA8IkIYkjHKcbbjOZDOlMZt63fKdDbaJEAnQvR9GA
 kDBdGkNXFTqdDlImmKaBbuh02i1a7RaWYeF6VXzfx3VcNn3qClacfiZGOsX+
 n23nP26/jS2/deURY/bA8pV86uavv/YikbzwkwdRUxmCwKXZaFKr1tB1DVM3
 EHMAWrUatfIYoYSth+xeHKSBrYuF8FwXGUd4nodMJEiB67hMTk7hOi6v7t3D
 1PQkzeoMcRTy7H33sOPxhwl9HxTQLYvQ94+r7X7uKe75xleQqkYkBZ7rUavW
 cB0HoQh0XUNKiddq0qnPEiby2E4sdZMwiDBNE9dxcD2XarWG73vk7Rzl0jiX
 f+WbrDtvCwBnX/yrc0nHo6e/iH7aBkLfo1GZJoliegcXdoUdx0zs28PgyatQ
 5/zj+f+8n42X/DrP3ncPGcPE6TSZna2RJN31AkpXvrqVImXn8JNjFHMA2VVr
 manMsGzpUorFIu1Wm1q1iq7pTDca2H39uO0WoecdLtFnn+LB228l9H28Vovv
 ffkLTI/sI/R9Hv7Hv+Wn9/y4mzt8n059lleeeZLTz/8gK9efyZINZ6IYFk67
 Q6Nex3FcFKGQTqVI5XsZ3vIRrhlUxDEBfPvic8SGSz7JRK0OQmHRopOwbZtm
 p4OeyfLRa77Ak3fdyXd+/3e4/7ZvMrF3N6HvEfoeURSSxAmh72H3F9j0a5fx
 z3/9l+z66WPseuZJLrz8qvm+P398G4MrTsFMZxjauJnSK7tYedY5hEKh1W53
 l5gS0r39LFy9llUbzz3+Wujv/vBq8Rf3Py7/+967md7/KpniQoY3nMXQuReg
 KAprzzmPkR3beeW/nuaHf/5lLrz8KoY3f2C+HvzFevi08y9kZMfPuPfWb3DZ
 H9+Elc7Mz7HziW1s2PIRhBAsX7eeB9ot1py7hVPO3sRLjz3E7ESZ1cPrWXv+
 BxnaeB6fOaUgTmhXQsn38+GrP0+SJEf8f/XZm1h99iaeWvRjdj7+COu3XISm
 6QhVQTNMAKIwoDEzhWFZBK47/742XmZi7x6q4yV+csffd33I89j11ON86Lc/
 y/L1Z3R5UFUUVWW2Vj3xfaE/ef9a8e3nXpVGOvVa1ItjOo1Z7L7CaztrroMU
 EsOy0AwDVdMw5krxbXfcTnHZyXz8c1/kR1+9iSVrhrH7Cux6+jGGz72Aj1/7
 xflxKqUD3LH1S1z0mWvRdL2rTUVBthtc//7hE98XAvjc+1aJ7748Lg29K7nA
 dbjtD65i+boN9A4uZHL/Xib37+XS6/8U3bRQdR1FUdFNi5efeYL9Lz7P1bd8
 FzOdYfMnPsm/fOuvuPzmr7PzsW1cfO11pLL2/FxLhtbRU1zAvheeY3jzBV2B
 eQ5Xvm9IvOXN3e/tn5WaYXQl7jiMvrSD9mwVK2uzfN16UnYOgE59lnZ9lgXL
 VzCxdzeZnjy5wsD8/tDozhfpX7SEmdIBlq09HUU9eJVSLY8iFIW+hYsRvstv
 rii89b3RX9Ad4440DAP59h7qHCGuS4Tn8InFueOa6IS5ubOSSFV5Z0CIJObS
 gvbOnA8cSj+ciaWuKm/D8QzIOOI3BvR354TmUPr+dCR1RaApJwYmiRPCJObT
 C4x3/4zsaPQ3E6HUla5UNUVBUUR3SQkkiew24MqF+jvrSO/Re/T/iP4HJEmS
 YruEGjYAAAAASUVORK5CYII=

## qtsixa 1.3.0-0maemo1

=== debian/changelog ===
qtsixa (1.3.0-0maemo1) fremantle; urgency=low

  * Added missing package fields.

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu, 15 Apr 2010 16:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Sterna <tomek@xiaoka.com>
 XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
+Vcs-Git: git://github.com/smokku/sixaxis-support.git
 Standards-Version: 3.8.3
 Build-Depends: debhelper (>= 5), gcc (>= 4.1),
   libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev
@@ -23,6 +24,7 @@
  .
  sixad is triggered by udev, making it super easy to connect new devices
  (you just need to press the PS button)
+XSBC-Bugtracker: http://github.com/smokku/sixaxis-support/issues
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAADM1JREFUaN7tmXmQHNV9xz+v7zl6dnZ3ZrVCJ5IQK61AChgiLAFGxsaO

=== debian/watch ===
version=3
http://falktx.xtreemhost.com/repo/source/trunk/qtsixa_(.*).tar.gz

## qtsixa 1.3.0-0maemo2

=== Makefile ===
build:
	make -C sixad

clean:
	make -C sixad clean

install:
	@echo "Run 'make install-system to really install sixad"

install-system:
	make -C sixad install-system
	make -C qtsixa install

uninstall:
	make -C sixad uninstall
	make -C qtsixa uninstall

=== qtsixa/c++/Makefile ===
#############################################################################
# Makefile for building: c++
# Generated by qmake (2.01a) (Qt 4.6.0) on: dom Jan 17 01:14:38 2010
# Project:  c++.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qtsixa_main.cpp \
		qtsixa_about.cpp \
		qtsixa_addprofile.cpp \
		qtsixa_keylist.cpp \
		qtsixa_newprofile.cpp \
		qtsixa_options.cpp \
		qtsixa_reference.cpp \
		qtsixa_sixaxis.cpp \
		qtsixa_sixpair.cpp moc_qtsixa_main.cpp \
		moc_qtsixa_about.cpp \
		moc_qtsixa_addprofile.cpp \
		moc_qtsixa_keylist.cpp \
		moc_qtsixa_newprofile.cpp \
		moc_qtsixa_options.cpp \
		moc_qtsixa_reference.cpp \
		moc_qtsixa_sixaxis.cpp \
		moc_qtsixa_sixpair.cpp \
		qrc_qtsixa.cpp
OBJECTS       = main.o \
		qtsixa_main.o \
		qtsixa_about.o \
		qtsixa_addprofile.o \
		qtsixa_keylist.o \
		qtsixa_newprofile.o \
		qtsixa_options.o \
		qtsixa_reference.o \
		qtsixa_sixaxis.o \
		qtsixa_sixpair.o \
		moc_qtsixa_main.o \
		moc_qtsixa_about.o \
		moc_qtsixa_addprofile.o \
		moc_qtsixa_keylist.o \
		moc_qtsixa_newprofile.o \
		moc_qtsixa_options.o \
		moc_qtsixa_reference.o \
		moc_qtsixa_sixaxis.o \
		moc_qtsixa_sixpair.o \
		qrc_qtsixa.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		c++.pro
QMAKE_TARGET  = c++
DESTDIR       = 
TARGET        = c++

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: c++.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/c++1.0.0 || $(MKDIR) .tmp/c++1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/c++1.0.0/ && $(COPY_FILE) --parents qtsixa_main.h qtsixa_about.h qtsixa_addprofile.h qtsixa_keylist.h qtsixa_newprofile.h qtsixa_options.h qtsixa_reference.h qtsixa_sixaxis.h qtsixa_sixpair.h main.h .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../icons/qtsixa.qrc .tmp/c++1.0.0/ && $(COPY_FILE) --parents main.cpp qtsixa_main.cpp qtsixa_about.cpp qtsixa_addprofile.cpp qtsixa_keylist.cpp qtsixa_newprofile.cpp qtsixa_options.cpp qtsixa_reference.cpp qtsixa_sixaxis.cpp qtsixa_sixpair.cpp .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../gui/qtsixa_sixpair.ui ../gui/qtsixa_sixaxis.ui ../gui/qtsixa_reference.ui ../gui/qtsixa_options.ui ../gui/qtsixa_newprofile.ui ../gui/qtsixa_main.ui ../gui/qtsixa_keylist.ui ../gui/qtsixa_about.ui ../gui/qtsixa_addprofile_mod.ui .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../lang/default.ts ../lang/pt_PT.ts .tmp/c++1.0.0/ && (cd `dirname .tmp/c++1.0.0` && $(TAR) c++1.0.0.tar c++1.0.0 && $(COMPRESS) c++1.0.0.tar) && $(MOVE) `dirname .tmp/c++1.0.0`/c++1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/c++1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qtsixa_main.cpp moc_qtsixa_about.cpp moc_qtsixa_addprofile.cpp moc_qtsixa_keylist.cpp moc_qtsixa_newprofile.cpp moc_qtsixa_options.cpp moc_qtsixa_reference.cpp moc_qtsixa_sixaxis.cpp moc_qtsixa_sixpair.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qtsixa_main.cpp moc_qtsixa_about.cpp moc_qtsixa_addprofile.cpp moc_qtsixa_keylist.cpp moc_qtsixa_newprofile.cpp moc_qtsixa_options.cpp moc_qtsixa_reference.cpp moc_qtsixa_sixaxis.cpp moc_qtsixa_sixpair.cpp
moc_qtsixa_main.cpp: ui_qtsixa_main.h \
		qtsixa_main.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_main.h -o moc_qtsixa_main.cpp

moc_qtsixa_about.cpp: ui_qtsixa_about.h \
		qtsixa_about.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_about.h -o moc_qtsixa_about.cpp

moc_qtsixa_addprofile.cpp: ui_qtsixa_addprofile_mod.h \
		qtsixa_addprofile.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_addprofile.h -o moc_qtsixa_addprofile.cpp

moc_qtsixa_keylist.cpp: ui_qtsixa_keylist.h \
		qtsixa_keylist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_keylist.h -o moc_qtsixa_keylist.cpp

moc_qtsixa_newprofile.cpp: ui_qtsixa_newprofile.h \
		qtsixa_newprofile.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_newprofile.h -o moc_qtsixa_newprofile.cpp

moc_qtsixa_options.cpp: ui_qtsixa_options.h \
		qtsixa_options.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_options.h -o moc_qtsixa_options.cpp

moc_qtsixa_reference.cpp: ui_qtsixa_reference.h \
		qtsixa_reference.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_reference.h -o moc_qtsixa_reference.cpp

moc_qtsixa_sixaxis.cpp: ui_qtsixa_sixaxis.h \
		qtsixa_sixaxis.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_sixaxis.h -o moc_qtsixa_sixaxis.cpp

moc_qtsixa_sixpair.cpp: ui_qtsixa_sixpair.h \
		qtsixa_sixpair.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_sixpair.h -o moc_qtsixa_sixpair.cpp

compiler_rcc_make_all: qrc_qtsixa.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_qtsixa.cpp
qrc_qtsixa.cpp: ../icons/qtsixa.qrc \
		../icons/web.png \
		../icons/close.png \
		../icons/apply.png \
		../icons/stop.png \
		../icons/qtsixa.png \
		../icons/bt.png \
		../icons/bug.png \
		../icons/plus.png \
		../icons/ubuntu.png \
		../icons/force.png \
		../icons/hint.png \
		../icons/refresh.png \
		../icons/sixaxis_16.png \
		../icons/config.png \
		../icons/manual.png \
		../icons/qtsixa_16.png \
		../icons/qt.png \
		../icons/ok.png \
		../icons/undo.png \
		../icons/bt_off.png \
		../icons/new.png \
		../icons/cancel.png \
		../icons/trash.png \
		../icons/exit.png \
		../icons/sixaxis.png \
		../icons/info.png \
		../icons/qtsixa_32.png \
		../icons/rec.png \
		../icons/eject.png \
		../icons/battery.png
	/usr/bin/rcc -name qtsixa ../icons/qtsixa.qrc -o qrc_qtsixa.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h
compiler_uic_clean:
	-$(DEL_FILE) ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h
ui_qtsixa_sixpair.h: ../gui/qtsixa_sixpair.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_sixpair.ui -o ui_qtsixa_sixpair.h

ui_qtsixa_sixaxis.h: ../gui/qtsixa_sixaxis.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_sixaxis.ui -o ui_qtsixa_sixaxis.h

ui_qtsixa_reference.h: ../gui/qtsixa_reference.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_reference.ui -o ui_qtsixa_reference.h

ui_qtsixa_options.h: ../gui/qtsixa_options.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_options.ui -o ui_qtsixa_options.h

ui_qtsixa_newprofile.h: ../gui/qtsixa_newprofile.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_newprofile.ui -o ui_qtsixa_newprofile.h

ui_qtsixa_main.h: ../gui/qtsixa_main.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_main.ui -o ui_qtsixa_main.h

ui_qtsixa_keylist.h: ../gui/qtsixa_keylist.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_keylist.ui -o ui_qtsixa_keylist.h

ui_qtsixa_about.h: ../gui/qtsixa_about.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_about.ui -o ui_qtsixa_about.h

ui_qtsixa_addprofile_mod.h: ../gui/qtsixa_addprofile_mod.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_addprofile_mod.ui -o ui_qtsixa_addprofile_mod.h

=== sixad/hcid/Makefile ===
#Compile hcid binary only

all: common_so sdpd_so dbus_so main_so

common_so:
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/oui.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/dbus.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/textfile.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/logging.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/dbus-helper.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/error.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/sdp-xml.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/sdp-glib.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/hal-dummy.c
	cc -DHAVE_CONFIG_H -I. -I./mod   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c common/notify-inotify.c
	rm -f libhelper.a
	ar cru libhelper.a oui.o dbus.o textfile.o logging.o dbus-helper.o error.o sdp-xml.o sdp-glib.o hal-dummy.o notify-inotify.o 
	ranlib libhelper.a


sdpd_so:
	cc -DHAVE_CONFIG_H -I. -I./common -I./mod  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c sdpd/server.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./mod  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c sdpd/cstate.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./mod  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c sdpd/request.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./mod  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c sdpd/service.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./mod  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c sdpd/servicedb.c
	rm -f libsdpserver.a
	ar cru libsdpserver.a server.o cstate.o request.o service.o servicedb.o 
	ranlib libsdpserver.a

dbus_so:
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c security.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c storage.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c parser.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c lexer.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c kword.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c server.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c manager.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c adapter.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c device.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-common.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-error.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-database.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-security.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-service.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-test.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-hci.c
	cc -DHAVE_CONFIG_H -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c dbus-sdp.c
	rm -f libhciserver.a
	ar cru libhciserver.a security.o storage.o parser.o lexer.o kword.o server.o manager.o adapter.o device.o dbus-common.o dbus-error.o dbus-database.o dbus-security.o dbus-service.o dbus-test.o dbus-hci.o dbus-sdp.o
	ranlib libhciserver.a

main_so:
	cc -DHAVE_CONFIG_H -I. -I. -I./common -I./sdpd -I./mod  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -c main.c
	cc -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -g -Wall -O2 -D_FORTIFY_SOURCE=2 -Wl,-Bsymbolic-functions -o hcid main.o  libhciserver.a ./libsdpserver.a ./libhelper.a /usr/lib/libglib-2.0.so -ldbus-1 /usr/lib/libbluetooth.so

clean:
	rm -rf *.o *.a hcid

=== debian/changelog ===
qtsixa (1.3.0-0maemo2) fremantle; urgency=low

  * Modified packaginf to comply with CLI application requirements.

 -- Tomasz Sterna <tomek@xiaoka.com>  Sun, 18 Apr 2010 16:47:31 +0200

=== debian/control ===
Source: qtsixa
Section: user/system
Priority: optional
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
Vcs-Git: git://github.com/smokku/sixaxis-support.git
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), gcc (>= 4.1),
  libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Description: SixA Daemon
 This package provides background daemon for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine.
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 sixad is triggered by udev, making it super easy to connect new devices.
 You just need to press the PS button.
XSBC-Bugtracker: http://github.com/smokku/sixaxis-support/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAEqZJREFUaN7VmnmwZVd13n9r732mO733ul9Pkhp1S2poIQnJllIWQhiD
 RZArUCFIBiKQbcLoKKkEE3kgCYgqkzgx2GVSlWATohhbMaFE5OCYwmDUihiE
 gmLJCo3Q1K2Weh5ev+FOZ9hr5Y9zXyNZQ5kE/8GpOnXfPffc87611rfW/tba
 V3jaMRj0X5dn+d/23u303idZmmqShOhDUpdV2WjUxkzVjCjiGhFijE0EaQxi
 rOtGLapzoXHeNbFpalVtvA/Rex9NVdW0CT7U3vtGHLWI1N752qAGahEpvZNK
 xNXOS2VqlZlVMcYKcaUXmQDTvd97pAEQgB27dgUfm9/bdf7OdwTviE2N944Q
 PAJEVcyMGJUYFVVVVTM1jaoatf0rGhZVacw0mlk0o8asNqwyowIrQaaYTU2Y
 YIwRmWCMRBgZjASGwEhEhsAIbKRqI1UbG4ydcxMzJmo2fPD/7K0DQC9Lb/rx
 Sy57x/GTJ/WRx/bpeDJBVVvrwBBBwEQwA0BUwMzQ9gXFTIEIoohFkCgwu4bO
 7jHADAzQ9pmiiKi090WECNIINECNUAvSiEjtnDTeh6bT6WgSfLj8spfF8JIL
 dyfnnXvOu1ZXV/nzPV/TGKM470UAkdm/cdg6zQQxBEcLzgMqIrb+3olEBAFx
 s6+YCAaiQCOCAxGRmVsEldYARaQRkUZaKs1OakEqRGrnXO2cb6Jq7HW76pxI
 GI/GO3rdzs5777vfoqqkaSrr1CICOVA9A5LOPvZwxjAFXBstWtvlTGoZiGGm
 JkRBGrDajNqgEqjMbAoyFbGpwASYtO+ZMOO8d640qERcU1d1M3ETTdPUQpYm
 Z4+Go+7yymoTvG/B12CKSGEkH29oPuXQ/+1bMFnr1KeBX88lzfqDvjiPCwGf
 JIQkxScpPsvxWU6S54SiYP9dX74dkbGZjgVGiLTcFxliNkQYCTIUkTHCRJCp
 qZVOrTLV2ixEgxgNC2icm1YVZVmZiAgR2GySfrgheaMiWyG9UWnujFS/FtC9
 IqQYhgHm0yxz3iPegzjEe8R5nE9wSYpLM3yaEbKckBeEvMNFb3rb9Wm3R9rp
 cc8nP/bPMVsTkTXM1oAhxhBs1CYxExFKQUpxUkd1TVSNpmoHDx22EFW7ZVWj
 MbbxjpD9TkP6ZqW6Q5BFYAjJ6w13cS3jyxJ108STiBdxrIN3PuBCwIWk9Xqa
 4tMMn2X4dfBFl6TokHb7JJ0uSbfHNR/6+EfTbp8v/sp7rrfWkCEwMrMxyESE
 6ayC1SiN96YYdnx5xQBcCElRNw2qaqggBfgrDZ3C9GcD+pdC+d6g5W850285
 c4veg/BC4EP2NOBZ0YLttOCzXp+k0yPr9cl6A7L+gKzf5y2//z9u/7nP3/Vn
 ZjYys3XPT1WtVNUaaDCLZVnp2nB4hr7OOZfVdcQwxGFWgj0KLofsdyPuQkO2
 GtUvZ1LemAuHPZJ8H7wPybPBp1kLPG/Bp50OaadL1uuTdvtk/T5pb0DWG5B2
 +7OzR1L0eN9dex9owctUVUuw2jnXxBhjWVUWY3x67hGaGLO6iZhhIm29KP9Z
 ELmtIXunAuD3NC7uidQfTYjf9vgcxCX4kLRGrCfrjDZJXhDygqTokBQFSafH
 OuezXp90/ex0EREOfv3PmZw4ivOBDbteyj++Z9/BtDfgYxdvLJxzTdM0OgP+
 DPC0pU+yGJUzHwbQB5yOL0t0/DNBm/sE2yckrzeKL1cklxquhjidgtkZ8CFr
 E3UdfFp0yDod8m6PfN3z68BnHnc+cN9vfwT2f5cdibIzNEzv/zp7bn4nPiR8
 8PHx5IXAAzhVTc20vcGA3My/SnGXK81XEqffESbXJpQfCkgf5LUNIo40TYl1
 hU8z0jwnyzK6Rc5ct8OGfpeN/Q6bBj02D/qcNdfnRQt9ti8MOHthwKZBj7le
 n5X9j7K4MM+WhXkOHznC/ieeYOuGeXxTsXpoP4jjXxyo4/OBBwjO+0RVFTBp
 JLLBQnFn7ewYjK8K7TKUCZLOREQpKEaSBGJZ4psKUFQb6thA0xDLKfUkpxqN
 SPIVxnlBmrfRSdKcNG/PY3d/ld07d3DkyFF88AAcP36cTfN99n/pDjbc9EEA
 PnLI7MNnP21pfLoBIpJaq2OUBG8HRKvf9JL9SnSdh6YwhHBtidsG8WGwP81I
 kxStoZN0aFaGqPeo91gIaOJpUk+TJFQhEELA+/bVOYf3HucdIo6NnYImKtvP
 3Y7NFn9VZbi6xlP3fZND99zF2S//qed3PxCC96mZNSJiCEbAmg/nTr/T4H+6
 JvwdRR9wxE8E4h8F5JiDLYYbGEpDCAkheBIfCD4h15wuPbIsJ8szQgiEJMF7
 34J3vtUZAo22GrDfH/D4Y49TVSUXXXwxBw4cYBASHrz1E2QLG1ncfQm3HDa7
 5axnRyGIc2IthRRQn2e5maGfS9HPeuw3SvQTKf5EChoxAX3DBLupbKW2QYm0
 VBPIbp8n+5NdON8glUPNaKLOwM/0nQh5UWBAVOPwoUNkmyYsHT3KocMbaJrI
 ZDKlv7DAvi/9NxZ3X/K8WRBMVYAoIgqoONcK3tC0Qf1XBT46fOZwJsQYCX/c
 J/nKHOI8SUhw4lBVxqMxaglH9Sg7du7AuZYqx48fZzwe0+v12bJlM1me0e12
 CSFhuLqKOMcje48RJCVdTNi0uJEszzlx8hTH7r8XixHxnlsOmd3yV3IhqKqK
 SDOTxV6cQ4Cmrls5PYVIBA8hCYQkIFOhHDZAQzZfkOc5ZVnS1R7dbofV4RAn
 DkQQEeqmPnO92++SFx1i03D0yBH6aY9DS8e48IJLZkl8gqKp2Xf4MEVe0O3P
 c+rR77K4+5LnDIKbVaAIaD6YH7h1Meak5YQXxAlqihl4HzAxzBkmBg586smK
 DJ8GalXm5xcQ55CZARsWNpJlOeduP4dBf4CZMZ5OGQ6HWANlOWU8HjMcDhkN
 h8xPppTTirquyZwwOfzkGcn77DLqnK4nsYTQdioacc5jpjjnZsBbDtdNTZpm
 s6rSJqR3Hpc4Op1OG6WQUDc1KysrdDoF/cEcIu2qqxqJGtHYkOY5Ty0dYuPC
 AmurqwyHQ5I05cHJlE5RUNc1eVEgxw+eAfxXaeTMLM4iEL2faRrn8KGtGmbW
 evJMFIzYNKRpRtHpgAgra2u4EMiK/IyfTp48SafT5cCBJ6nKEo1xRivH0aPH
 OX7sJGKObrdLVdXMb34RLuszmUwxYFxOKOsKZ8rwyFPM+edJYqAxsxowFwIS
 PDHWOB+otToDfr23Wm8ERITxeIzznuA9p5eWKMsuW7duoywnjEdjjtsJxDmq
 qiLNMqZVzaHDhwnBo6qsrJ5mw4YNjMcTTi7dj5qRJH7W1EFdlkzWVhgfeoqN
 AVbis3nkaJvnCqjdrIsSwAdPqzDAicOJI0lT8qIgy7I2oUTIZ6us94HxaExR
 dNCobFxcRJvI/Nw8znuyLOPokSOE4On2+qRpBmasrqwiTvDBkyahBW9QVyVN
 XTNZW2Pt1EkKB5k8W1SEdQNEpJXBAtMYSZLQehpphwkieO/wPiFJAmpt+6um
 oOvPbenV6/VYWFjgrG3bkLajRw2m5YS86DCdjIkxYmqU5ZQszQiJJ03akryy
 utLSTpXJZEKad6mrkvmQcax+tgG1mZWAhDQjEdrkFff9cAlkWdoKOFXquqbo
 dqnKKU1d45xHtcE7T6ffZXnpNNPJdNbZt4TYuDFnMBiwvLxMmqaoKtOyZDDo
 U9VTtmzYyqbFRWKMqEaGa2uoKmVVMej1WDp0kM6Lzn+Ohazl/1RExGcZCeDa
 pgvXzj7I84Jur0cSEsqypBgUdLs9RITh2hqRhjTL2LHzPFZOr9DdvpMfu/bv
 4maV68SBfdx7+x+wsHGR0WjEeDQEg6zTodcfkCaBuqrwPtDt9VhdXeP48ROo
 tqU0SVKWDh9k/tzzn7UWrEdgCkiSd/DVhCTNMI2IOJIkod/vMTc3N5vORXrd
 HoePHWUwmGdx0yaccxRFwXA0Qn3GP/jIxwhZ1nZtIohcw6nDT/Hw3V9l65at
 lE2DNZEm1qysrVIkKUVRUNUVW8/aytraKoNBn1OnTlHXNaYNpw89RTJbmp6R
 xAalmU2ASVIUACRJihmIE/I8n3F6A2mSUnQKltdWefn1b+PyN74ZLXpMEIZR
 uOrt7+WmWz+HC6Ed28WIxkhsGt5484d5+8f+A73t52FJSphb4MU/+Vre9+//
 gFoVjQ3j8Yi6rul2u3S63XY0FSPleMTSkYPo+gTqGREwq4CxiJDkHaanT5Cm
 CdV4hIiQZilZnoMpVVPTyTusjaeYCGVVceV1N3DepVdQDPocfOi73PmHn+Y1
 N77rzCr89GPzjvP5+7/+8e9fUOOBO/8MX3SpqgmrK6ssnVoiSQLZrBrGGFlb
 WmLp0FPUBrec88yHOhEpgTEwfvhLd9zqfMB711YXwLuAqTEcjYlN5MixI5xe
 XmI6GiIi/OWeL/Pwt7+BqeIST5oXxLqmqSrqsnzB85H77uGO3/7XmA80Jkwn
 U5ZOLTEZjxEnbSU0Y7q2ymj5NLXaczY0UzMbzbxlIe9QiydJEmKMRItMplNi
 jMz1Bzz26KNcd/OHuOjqn2onEEmCD4HYNMwtbibNcupyysrJ42gTWdi6rXV2
 jBzZ9yhbd16ADwGAv/jKF7nyjT/L//rTO+imGePRKqdPL6EaaZoaZvI7yQuK
 /oBSn0PMzRJ4fZy91tm2nWlZsri4ibnBHFVZMRqNyNKMlcmY3vwCdV1hZpgq
 FpVYNzR1zWP33cuXb/0kdVkyXVvjP3/wn3L8iX3UZclXf/9TfPOOz6ExUpcl
 o+XTPHzvN3jZq36a8y+9nO2XXY5Lc8bDESvLy4zHE5w4OkVBMb/ARa+5ln+4
 1cmzDYCJmQ2BNWB4/+2f+aUdV1zJcFriQmDT5k30ej3GZUna7fOaX3gv933x
 C9z6a/+Er9z6SY498TixqYl1RdPUaFTqckp/4yKveNNb+OPf+bc89M27eeje
 b3DNz7+bupxSl1O+87U9bD1vF1mny+4rr+bgww9x/t96ObU41obDdh/CoLOw
 kW0vfikXXPnK59RCfmF+frOZbZlOpyUwNbPRwYe+80fX/uL7r4+xXWy6m7aw
 +xWv5uobfoFt5+3ix675GRbPOpuThw/xPz/7GQYbF9l87k5OHnySUwef5MKr
 XomIsGXHeTy590G+9Sef5++9/1dZ2LLtTHLf+Yef5mWvuoZNLzqX+U1b+NYX
 Ps8r33IjF1xxJXVVUcfIORdezE9c91auetMNvPslm5+7qdeWQmuzjiy2LQyj
 fNNWXvHmtxGynDQrCFk6mzYneB948U9czUte/pPc+4Xb2fu1u7j0Na8jhATx
 jpBmADR1xcqJY6R5TjWZnLm+dPgQRx5/lFOHD3LnbZ9uhdt0ykP3fI3XvuN9
 7Lj0x1t6eI/zntNLp56/qReYWksfnbWWUxEZfeb9777il2/7wn2dwVw7Fk8y
 xAnT0ZDu4hyI4JyjnIwxMdI8J6QpPgTSPAdgz23/iU3n7uQN/+gD/Nff+Ajb
 L7yI/oZFHvrW3Vz0ylfzhps+cAbIyYMHuO2WX+V177qJkCStgnEOG65w81UX
 yfMbIJS0s3gVkUaEabvBwOjf3PCGHR/d8+0nik5/VmlqPvWBX2THxZexYdtZ
 HN3/OEf3P871N/9LkizHJwnOeZIs53v3fp39D/4F7/mt3yXrdLn6urfy3z/x
 m/z8r3+cvXfv4fU3/RJFr38GyPbdFzO3aQv7HriPi65+dVu5pmPeecVueYGp
 CnL++Tu3mvLi5eVlbWJsVHUaY5yq6mSWE+W/e2D/6azo4LynnEw4+L29DE+f
 Iu/12XHxpRT9AQCj5dMMl0+zZcd5HHn8Ebpz8wwWN7c61Ywn9z7IxrO3c+Lg
 Ac596ctazfW049ShJxHn2LDtHKSc8LbzFl8QPIDs2nXBBtW4c3l5JWrUWMem
 jE2cqurUzEqzdjr8Hx87WWZ5/rStr7+Zw2HIdMx15wzkr3N/cEKNuLFzLppZ
 49RVKlqKSKWqtXOuVlW9cXvfAfbZk2reyd8IeNHI9YvhB3p4AGm8Yxx8UMya
 KFqLSLU+lzczreta13uhty626P/LiWiJ/yFEw8Biw5s3J/9PXglOiM75SQje
 VGN0rt2Tpd1NjHVdPedo+4ZNXgA+c7yxxAnB/WDGaFRqjbx9S/r/Fc4QQhJF
 KJMkWNQYvWqMUaNzTquqMrMXnK3yc5u/H/LfO1Jb0m62EpxrZ0vtbjiq1p7A
 O7clPzQOhiTxClKlSUITo2pUjT5GVWdN09gP8rD3/BCB/XUPf+Tocc4+aysi
 rv0thpnGGG15ZcX4ETgcgCnROdEkBE2SxE6eWvqRAL/+cwGOHD3GWVu3YDge
 fuTRHxnwAP8XuK6si8ir9QcAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

#export DH_VERBOSE=1


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

DESTDIR = $(CURDIR)/debian/qtsixa

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure data/Makefile.in depcomp install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh missing mkinstalldirs po/Makefile.in.in src/Makefile.in

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	#maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure
